<?php
	$user_id = sanitize_text_field( $_GET['user_id'] );

	$user                         = get_user_by( 'id', $user_id );
	$month_limit                  = get_user_meta( $user_id, 'zleadscrm_month_max_advanced_requests', true ) != '' ? (int) get_user_meta( $user_id, 'zleadscrm_month_max_advanced_requests', true ) : 0;
	$week_limit                   = get_user_meta( $user_id, 'zleadscrm_week_max_advanced_requests', true ) != '' ? (int) get_user_meta( $user_id, 'zleadscrm_week_max_advanced_requests', true ) : 0;
	$current_month_requests       = zleadscrm_get_advanced_request_this_month( $user_id );
	$current_week_requests        = zleadscrm_get_advanced_request_this_week( $user_id );
	$week_limit_type              = zleadscrm_get_week_limit_type( $user_id );
	$month_limit_type             = zleadscrm_get_month_limit_type( $user_id );
	$basic_month_limit            = get_user_meta( $user_id, 'zleadscrm_month_max_basic_requests', true ) != '' ? (int) get_user_meta( $user_id, 'zleadscrm_month_max_basic_requests', true ) : 0;
	$basic_week_limit             = get_user_meta( $user_id, 'zleadscrm_week_max_basic_requests', true ) != '' ? (int) get_user_meta( $user_id, 'zleadscrm_week_max_basic_requests', true ) : 0;
	$basic_current_month_requests = zleadscrm_get_basic_request_this_month( $user_id );
	$basic_current_week_requests  = zleadscrm_get_basic_request_this_week( $user_id );
	$basic_week_limit_type        = zleadscrm_get_basic_week_limit_type( $user_id );
	$basic_month_limit_type       = zleadscrm_get_basic_month_limit_type( $user_id );
?>
<div class="wrap">
    <hr class="wp-header-end"/>
    <h1 style="display: inline-block">Edit user: <?php echo esc_html( $user->display_name ); ?></h1>
    <a href="<?php echo admin_url( 'admin.php' ) . '?page=zleadscrm_insights&tab=company_analytics'; ?>"
       class="zleadscrm_goback_btn"><span class="dashicons dashicons-undo"></span></a>
    <form method="POST" action="<?php echo admin_url( 'admin-post.php' ); ?>" id="zleadscrm_edit_user_limits_form">
        <input type="hidden" name="action" value="zleadscrm_edit_user_limits"/>
        <input type="hidden" name="user_id" value="<?php echo esc_attr( $user_id ); ?>"/>
		<?php wp_nonce_field( 'zleadscrm_edit_user_limits' ); ?>
        <div class="zleadscrm_row" style="margin-top:2rem;">
            <div class="zleadscrm_col_9" style="background: #fff;">
                <div class="zleadscrm_row zleadscrm_col_12 zleadscrm_disabled_padding">
                    <span class="zleadscrm_col_12 zleadscrm_disabled_padding"
                          style="display: block;"><b>Modify Search Request Limits</b> (Restrictions are based upon the search request, each time a user clicks search. Not the business results returned.)</span>
                    <div class="zleadscrm_col_12 zleadscrm_row zleadscrm_disabled_padding" style="margin-top:2rem;">
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding">
                            <div class="zleadscrm_row zleadscrm_col_12 zleadscrm_disabled_padding">
                                <div class="zleadscrm_col_6 zleadscrm_disabled_padding">
                                    <input type="radio" name="zleadscrm_week_limit_type"
                                           id="zleadscrm_week_limit_type_unlimited"
                                           value="unlimited"
										<?php echo $week_limit_type == 'unlimited' ? 'checked' : ''; ?>/>
                                    <label for="zleadscrm_week_limit_type_unlimited">Unlimited</label>
                                </div>
                                <div class="zleadscrm_col_6 zleadscrm_disabled_padding">
                                    <input type="radio" name="zleadscrm_week_limit_type" id="zleadscrm_week_limit_type_custom"
                                           value="custom"
										<?php echo $week_limit_type == 'custom' ? 'checked' : ''; ?>/>
                                    <label for="zleadscrm_week_limit_type_custom">Custom</label>
                                </div>
                            </div>
                        </div>
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding" style="margin-top:-1rem;">
                            <label for="zleadscrm_week_limit" class="zleadscrm_form_label">Advanced Requests/Week</label>
                            <input type="number" min="0" id="zleadscrm_week_limit" name="zleadscrm_week_limit"
                                   class="zleadscrm_widefat_input"
                                   value="<?php echo esc_attr( $week_limit ); ?>"/>
                        </div>
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding">
                            <label for="zleadscrm_current_week_requests">Current Week Advanced Requests: </label>
                            <span name="zleadscrm_current_week_requests"
                                  id="zleadscrm_current_week_requests"><?php echo esc_html( $current_week_requests ); ?></span>
                        </div>
                    </div>

                    <div class="zleadscrm_col_12 zleadscrm_row zleadscrm_disabled_padding" style="margin-top:2rem;">
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding">
                            <div class="zleadscrm_row zleadscrm_col_12 zleadscrm_disabled_padding">
                                <div class="zleadscrm_col_6 zleadscrm_disabled_padding">
                                    <input type="radio" name="zleadscrm_month_limit_type"
                                           id="zleadscrm_month_limit_type_unlimited" value="unlimited"
										<?php echo $month_limit_type == 'unlimited' ? 'checked' : ''; ?>/>
                                    <label for="zleadscrm_month_limit_type_unlimited">Unlimited</label>
                                </div>
                                <div class="zleadscrm_col_6 zleadscrm_disabled_padding">
                                    <input type="radio" name="zleadscrm_month_limit_type"
                                           id="zleadscrm_month_limit_type_custom"
                                           value="custom"
										<?php echo $month_limit_type == 'custom' ? 'checked' : ''; ?>/>
                                    <label for="zleadscrm_month_limit_type_custom">Custom</label>
                                </div>
                            </div>
                        </div>
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding" style="margin-top:-1rem;">
                            <label for="zleadscrm_month_limit" class="zleadscrm_form_label">Advanced Requests/Month</label>
                            <input type="number" min="0" id="zleadscrm_month_limit" name="zleadscrm_month_limit"
                                   class="zleadscrm_widefat_input" value="<?php echo esc_attr( $month_limit ); ?>"/>
                        </div>
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding">
                            <label for="zleadscrm_current_month_requests">Current Month Advanced Requests: </label>
                            <span name="zleadscrm_current_month_requests"
                                  id="zleadscrm_current_month_requests"><?php echo esc_html( $current_month_requests ); ?></span>
                        </div>
                    </div>

                    <div class="zleadscrm_col_12 zleadscrm_row zleadscrm_disabled_padding" style="margin-top:2rem;">
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding">
                            <div class="zleadscrm_row zleadscrm_col_12 zleadscrm_disabled_padding">
                                <div class="zleadscrm_col_6 zleadscrm_disabled_padding">
                                    <input type="radio" name="zleadscrm_basic_week_limit_type"
                                           id="zleadscrm_basic_week_limit_type_unlimited"
                                           value="unlimited"
										<?php echo $basic_week_limit_type == 'unlimited' ? 'checked' : ''; ?>/>
                                    <label for="zleadscrm_basic_week_limit_type_unlimited">Unlimited</label>
                                </div>
                                <div class="zleadscrm_col_6 zleadscrm_disabled_padding">
                                    <input type="radio" name="zleadscrm_basic_week_limit_type"
                                           id="zleadscrm_basic_week_limit_type_custom"
                                           value="custom"
										<?php echo $basic_week_limit_type == 'custom' ? 'checked' : ''; ?>/>
                                    <label for="zleadscrm_basic_week_limit_type_custom">Custom</label>
                                </div>
                            </div>
                        </div>
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding" style="margin-top:-1rem;">
                            <label for="zleadscrm_basic_week_limit" class="zleadscrm_form_label">Basic Requests/Week</label>
                            <input type="number" min="0" id="zleadscrm_basic_week_limit" name="zleadscrm_basic_week_limit"
                                   class="zleadscrm_widefat_input"
                                   value="<?php echo esc_attr( $basic_week_limit ); ?>"/>
                        </div>
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding">
                            <label for="zleadscrm_basic_current_week_requests">Current Week Basic Requests: </label>
                            <span name="zleadscrm_basic_current_week_requests"
                                  id="zleadscrm_basic_current_week_requests"><?php echo esc_html( $basic_current_week_requests ); ?></span>
                        </div>
                    </div>

                    <div class="zleadscrm_col_12 zleadscrm_row zleadscrm_disabled_padding" style="margin-top:2rem;">
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding">
                            <div class="zleadscrm_row zleadscrm_col_12 zleadscrm_disabled_padding">
                                <div class="zleadscrm_col_6 zleadscrm_disabled_padding">
                                    <input type="radio" name="zleadscrm_basic_month_limit_type"
                                           id="zleadscrm_basic_month_limit_type_unlimited" value="unlimited"
										<?php echo $basic_month_limit_type == 'unlimited' ? 'checked' : ''; ?>/>
                                    <label for="zleadscrm_basic_month_limit_type_unlimited">Unlimited</label>
                                </div>
                                <div class="zleadscrm_col_6 zleadscrm_disabled_padding">
                                    <input type="radio" name="zleadscrm_basic_month_limit_type"
                                           id="zleadscrm_basic_month_limit_type_custom"
                                           value="custom"
										<?php echo $basic_month_limit_type == 'custom' ? 'checked' : ''; ?>/>
                                    <label for="zleadscrm_basic_month_limit_type_custom">Custom</label>
                                </div>
                            </div>
                        </div>
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding" style="margin-top:-1rem;">
                            <label for="zleadscrm_basic_month_limit" class="zleadscrm_form_label">Basic Requests/Month</label>
                            <input type="number" min="0" id="zleadscrm_basic_month_limit" name="zleadscrm_basic_month_limit"
                                   class="zleadscrm_widefat_input" value="<?php echo esc_attr( $basic_month_limit ); ?>"/>
                        </div>
                        <div class="zleadscrm_col_4 zleadscrm_disabled_padding">
                            <label for="zleadscrm_basic_current_month_requests">Current Month Basic Requests: </label>
                            <span name="zleadscrm_basic_current_month_requests"
                                  id="zleadscrm_basic_current_month_requests"><?php echo esc_html( $basic_current_month_requests ); ?></span>
                        </div>
                    </div>


                </div>
                <input class="button button-primary" type="submit" value="Update User" style="margin-top:2rem;"/>
            </div>
        </div>
    </form>
</div>
