<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	if ( ! class_exists( 'ZLEADSCRM_PROSPECT_Core_Bookmarks' ) ) {
		require_once( ZLEADSCRM_PROSPECT_PLUGIN_DIR . 'helper/class-zleadscrm-core-bookmarks.php' );
	}

	class ZLEADSCRM_EXPORT_Core_Bookmarks extends ZLEADSCRM_PROSPECT_Core_Bookmarks {

		public function __construct( $user_id ) {
			parent::__construct( $user_id );
		}

		public function get_export_data() {
			if ( $this->items ) {
				$r = 'Business Name, Business Type, Phone, Website, Address';
				$r .= "\r\n";

				foreach ( $this->items as $result ) {

					$r .= str_replace( '#', 'no. ', $result['business_name'] ) . ',';
					$o = '';
					if ( is_array( $result['business_type'] ) ) {
						foreach ( $result['business_type'] as $btype ) {
							$o .= ucfirst( str_replace( '_', ' ', $btype ) ) . ';';
						}
					} else {
						$o .= $result['business_type'];
					}
					$r .= $o . ',';
					$r .= str_replace( '#', '', $result['phone'] ) . ',';
					$r .= str_replace( '#', '', $result['website'] ) . ',';
					$r .= str_replace( '#', 'no. ', $result['address'] ) . ',';
					$r .= "\r\n";
				}

				return $r;
			}

			return null;
		}
	}

?>